<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm_property_info_linked_list Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.3.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmcm__property__info__linked__list-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">mcm_property_info_linked_list Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:adb99f617acca27b84563f55df4771ee5"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__property__info__linked__list.html#adb99f617acca27b84563f55df4771ee5">propertyName</a></td></tr>
<tr class="separator:adb99f617acca27b84563f55df4771ee5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a374a88ad8e09b9f635e7df63507c9151"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__property__info__linked__list.html#a374a88ad8e09b9f635e7df63507c9151">propertyValue</a></td></tr>
<tr class="separator:a374a88ad8e09b9f635e7df63507c9151"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6cd4922fae976165ec15112ee8fd4e4"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structmcm__property__info__linked__list.html">mcm_property_info_linked_list</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__property__info__linked__list.html#ab6cd4922fae976165ec15112ee8fd4e4">next</a></td></tr>
<tr class="separator:ab6cd4922fae976165ec15112ee8fd4e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="structmcm__property__info__linked__list.html">mcm_property_info_linked_list</a> </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="ab6cd4922fae976165ec15112ee8fd4e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6cd4922fae976165ec15112ee8fd4e4">&#9670;&nbsp;</a></span>next</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structmcm__property__info__linked__list.html">mcm_property_info_linked_list</a>* mcm_property_info_linked_list::next</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>linked-list </p>

</div>
</div>
<a id="adb99f617acca27b84563f55df4771ee5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb99f617acca27b84563f55df4771ee5">&#9670;&nbsp;</a></span>propertyName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* mcm_property_info_linked_list::propertyName</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>property name </p>

</div>
</div>
<a id="a374a88ad8e09b9f635e7df63507c9151"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a374a88ad8e09b9f635e7df63507c9151">&#9670;&nbsp;</a></span>propertyValue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* mcm_property_info_linked_list::propertyValue</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>property value </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
